com.tibco.n2.service.adapter.config

## Class Configuration

- java.lang.Object
- - com.tibco.n2.service.adapter.config.Configuration

-     public class Configuration
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `Configuration.Property`
    `static class` | `Configuration.Protocol`
    `static class` | `Configuration.SOAP_SPEC`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.lang.String` | `AMX_BPM_INSTANCE_HOST` Deprecated.
    `static java.lang.String` | `AMX_BPM_INSTANCE_PORT` Deprecated.
    `static java.lang.String` | `AMX_BPM_INSTANCE_PROTOCOL` Deprecated.
    `static java.lang.String` | `bpmHostDefaultValue`
    `static int` | `bpmPortDefaultValue`
    `static Configuration.Protocol` | `bpmProtocolDefaultValue`
    `static Configuration.SOAP_SPEC` | `bpmSOAPSpecDefaultValue`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Configuration()`
    `Configuration(Configuration.Protocol protocol, java.lang.String host, int port)`
    `Configuration(Configuration.Protocol protocol, java.lang.String host, int port, Configuration.SOAP_SPEC soapSpec)`
    `Configuration(java.util.Properties properties)`
    `Configuration(java.net.URL propsUrl)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.Properties` | `getProperties()`
    `void` | `setProperties(java.util.Properties properties)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### AMX_BPM_INSTANCE_PROTOCOL

          @Deprecated
          public static final java.lang.String AMX_BPM_INSTANCE_PROTOCOL

      Deprecated.
      See Also:
        Constant Field Values

    - #### AMX_BPM_INSTANCE_HOST

          @Deprecated
          public static final java.lang.String AMX_BPM_INSTANCE_HOST

      Deprecated.
      See Also:
        Constant Field Values

    - #### AMX_BPM_INSTANCE_PORT

          @Deprecated
          public static final java.lang.String AMX_BPM_INSTANCE_PORT

      Deprecated.
      See Also:
        Constant Field Values

    - #### bpmProtocolDefaultValue

          public static final Configuration.Protocol bpmProtocolDefaultValue

    - #### bpmHostDefaultValue

          public static final java.lang.String bpmHostDefaultValue

      See Also:
        Constant Field Values

    - #### bpmPortDefaultValue

          public static final int bpmPortDefaultValue

      See Also:
        Constant Field Values

    - #### bpmSOAPSpecDefaultValue

          public static final Configuration.SOAP_SPEC bpmSOAPSpecDefaultValue

  - ### Constructor Detail

    - #### Configuration

          public Configuration(java.net.URL propsUrl)
                        throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### Configuration

          public Configuration(java.util.Properties properties)

    - #### Configuration

          public Configuration()

    - #### Configuration

          public Configuration(Configuration.Protocol protocol,
                               java.lang.String host,
                               int port)

    - #### Configuration

          public Configuration(Configuration.Protocol protocol,
                               java.lang.String host,
                               int port,
                               Configuration.SOAP_SPEC soapSpec)

  - ### Method Detail

    - #### getProperties

          public java.util.Properties getProperties()

    - #### setProperties

          public void setProperties(java.util.Properties properties)

Copyright © 2018 TIBCO Software Inc. All Rights Reserved.